Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.util
Class ZipFileZipEntrySource

    java.lang.Object
      org.apache.poi.openxml4j.util.ZipFileZipEntrySource

All Implemented Interfaces:
  ZipEntrySource

    public class ZipFileZipEntrySource

extends java.lang.Object
implements ZipEntrySource

A ZipEntrySource wrapper around a ZipFile. Should be as low in terms of memory as a normal ZipFile implementation is.

Constructor Summary
`ZipFileZipEntrySource(java.util.zip.ZipFile zipFile)`

Method Summary
`void` | `close()` Indicates we are done with reading, and resources may be freed
`java.util.Enumeration<? extends java.util.zip.ZipEntry>` | `getEntries()` Returns an Enumeration of all the Entries
`java.io.InputStream` | `getInputStream(java.util.zip.ZipEntry entry)` Returns an InputStream of the decompressed data that makes up the entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipFileZipEntrySource

    public ZipFileZipEntrySource(java.util.zip.ZipFile zipFile)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Description copied from interface: `ZipEntrySource`
  Indicates we are done with reading, and resources may be freed

  Specified by:
    `close` in interface `ZipEntrySource`
  Throws:
    `java.io.IOException`

### getEntries

    public java.util.Enumeration<? extends java.util.zip.ZipEntry> getEntries()

  Description copied from interface: `ZipEntrySource`
  Returns an Enumeration of all the Entries

  Specified by:
    `getEntries` in interface `ZipEntrySource`

### getInputStream

    public java.io.InputStream getInputStream(java.util.zip.ZipEntry entry)
                                       throws java.io.IOException

  Description copied from interface: `ZipEntrySource`
  Returns an InputStream of the decompressed data that makes up the entry

  Specified by:
    `getInputStream` in interface `ZipEntrySource`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.